//Licence:   LGPL
//Copyright: Visti Andresen

#include "Button.h"

Button::Button(const string &label, const string &name, Font *font)
{
	label_ = label;
	name_ = name;
	hasBeenClicked_ = false;
	font_ = font;
}

Button::~Button()
{
}

void Button::draw(float x, float y, float zoom)
{
	font_->printString(label_, x, y, zoom);
}

float Button::getWidth(float zoom)
{
	return font_->getWidth(label_, zoom);
}

float Button::getHeight(float zoom)
{
	return font_->getHeight(zoom);
}
	
bool Button::handleKeyEvent(SDL_Event *event)
{
	if (event->key.keysym.sym == SDLK_RETURN){
		hasBeenClicked_ = true;
		return true;
	}
	return false;
}

bool Button::wasClicked()
{
	bool result = hasBeenClicked_;
	hasBeenClicked_ = false;	
	return result;
}
