

#ifndef MOD_BUTTON_H
#define MOD_BUTTON_H

//Licence:   LGPL
//Copyright: Visti Andresen

#include "MenuItem.h"
#include "Font.h"

/**A calls for button controls, a control that you can push to get some action "Start game" or similar*/
class Button : public MenuItem
{
public:
	/**Constructor that takes 
	
	label as the text to display to the user

	name the save name of button (soon to be removed)

	font the font to render the button with*/
	Button(const string &label, const string &name, Font *font);
	/**Destuctor*/
	~Button();
/*	void load(ifstream &file){}
	void save(ofstream &file){}*/
	void draw(float x, float y, float zoom);
	Type getType(){return CONTROL;}
	float getWidth(float zoom);
	float getHeight(float zoom);	
	string &getName(){return name_;}
	bool handleKeyEvent(SDL_Event *event);
	/**Returns true if the button has been clicked since last time it was checked.*/
	bool wasClicked();
private:
	string name_;
	string label_;
	bool hasBeenClicked_;
	Font *font_;
};

#endif
