

#ifndef MOD_FONT_H
#define MOD_FONT_H

//Licence:   LGPL
//Copyright: Visti Andresen

#include <string>
#include <GL/gl.h>                                      
#include <GL/glu.h>

using namespace std;

/**An interface  defining the methods that can be used on a Font.*/
class Font
{
public:
  /**Destructor.*/
  virtual ~Font(){};
  /**Prepares the display for drawing of letters, you may have to prepare
        the display for drawing other things after this cal.*/
  virtual void prepareDrawing() = 0;
  /**Writes a character data at x,y with the given zoom factor.
       prepareDrawing must have been called first.*/
  virtual void printChar(const char data, float x, float y, float zoom) = 0;
  /**Writes a string  value at x,y with the given zoom factor.
       prepareDrawing must have been called first.*/
  virtual void printString(const string &value, float x, float y, float zoom) = 0;
  /**Returns the width of a string data at zoom factor zoom.*/
  virtual float getWidth(const string &data, float zoom) = 0;
  /**Returns the height of the font at  zoom factor zoom.*/
  virtual float getHeight(float zoom) = 0;
private:
};

#endif
