
#ifndef MOD_TEXTSELECTION_H
#define MOD_TEXTSELECTION_H

//Licence:   LGPL
//Copyright: Visti Andresen

#include "MenuItem.h"
#include "Font.h"
#include <string>
#include <vector>

using namespace std;

/**A class that allows the user to select, a text string form a list of
string.*/
class TextSelection : public MenuItem
{
public:
  /**lable is the name the user can see on screen.

    choices is a vector containing the text strings the user can select.

    name is the name of the TextEntry in the config file.

    font is the Font to use when rendering.
    */
	TextSelection(const string &label, const string &name, vector<string> &choices, Font *font);
	~TextSelection();
	void load(ifstream &file);
	void save(ofstream &file);
	void draw(float x, float y, float zoom);
	Type getType(){return CONTROL;}
	float getWidth(float zoom);
	float getHeight(float zoom);
	string &getName(){return name_;}
  /**Returns the number of the text string the user has selected. Index 0.*/
	unsigned int getSelection(){return currentSelection_;}
	bool handleKeyEvent(SDL_Event *event);
private:
	string label_;
	string name_;
	vector<string> choices_;
	Font *font_;
	unsigned int currentSelection_;
};


#endif
